> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.ovrsea.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a shipment's tracking.

> Fetch a shipment's tracking with its OVRSEA shipment id.



## OpenAPI

````yaml /openapi.json get /v1/tracking/{ovrsea_shipment_id}
openapi: 3.1.0
info:
  title: OVRSEA API
  version: 1.3.2
servers:
  - url: https://api.cf.ovrsea.com
security: []
paths:
  /v1/tracking/{ovrsea_shipment_id}:
    get:
      tags:
        - Tracking
      summary: Fetch a shipment's tracking.
      description: Fetch a shipment's tracking with its OVRSEA shipment id.
      parameters:
        - schema:
            type: string
          in: path
          name: ovrsea_shipment_id
          required: true
      responses:
        '200':
          description: Returns tracking for a shipment
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Tracking'
        '404':
          description: No tracking found
          content:
            application/json:
              schema:
                description: No tracking found
                type: object
components:
  schemas:
    Tracking:
      modelName: Tracking
      type: object
      properties:
        ovrsea_shipment_id:
          type: string
          example: BATE
        status:
          type: string
        tracking_steps:
          type: array
          items:
            $ref: '#/components/schemas/TrackingStep'
        initial_dates:
          type: object
          properties:
            eta:
              $ref: '#/components/schemas/DateWithTime'
            etd:
              $ref: '#/components/schemas/DateWithTime'
            delivery:
              $ref: '#/components/schemas/DateWithTime'
            pickup:
              $ref: '#/components/schemas/DateWithTime'
        ocean_coordinates:
          type: array
          items:
            $ref: '#/components/schemas/Coordinates'
    TrackingStep:
      modelName: TrackingStep
      type: object
      properties:
        type:
          type: string
          enum:
            - location
            - port
        location:
          $ref: '#/components/schemas/Location'
        port:
          $ref: '#/components/schemas/Port'
        events:
          type: array
          items:
            $ref: '#/components/schemas/TrackingEvent'
    DateWithTime:
      modelName: DateWithTime
      type: string
      example: '2021-09-20T10:02:09+01:00'
    Coordinates:
      modelName: Coordinates
      type: object
      properties:
        latitude:
          type: string
          example: '48.858093'
        longitude:
          type: string
          example: '2.294694'
    Location:
      type: object
      modelName: Location
      properties:
        id:
          type: string
          example: 12345
        company_name:
          type: string
          example: Logistics WorldWide Co
        name:
          type: string
          example: Saint Quentin warehouse
        address:
          type: string
          example: 357 allée des Tilleuls
        city:
          type: string
          example: Saint Quentin Fallavier
        zip_code:
          type: string
          example: 69300
        country:
          type: string
          example: FR
        contacts:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
                example: Thierry Henriet
              email:
                type: string
                example: log@patagonia.com
              phone:
                type: string
                example: 33134567891
        opening_hours:
          type: string
          example: Monday to Friday 8am to 5pm
        requires_appointment:
          type: boolean
          description: >-
            Specifies if appointments are required for loading and unloading at
            this location.
        requires_tailgate_truck:
          type: boolean
          description: Specifies if liftgate trucks are required for this location.
          example: false
        additional_information:
          type: string
          example: Please avoid Friday after 4pm
    Port:
      modelName: Port
      type: object
      properties:
        unlocode:
          type: string
          example: FR/LEH
        city:
          type: string
          example: Le Havre
        country:
          type: string
          example: FR
    TrackingEvent:
      modelName: TrackingEvent
      type: object
      properties:
        description:
          type: string
          example: Loaded on Vessel
        container_number:
          type: string
          example: MSDU8878398
        date:
          $ref: '#/components/schemas/DateWithTime'
        status:
          type: string
          enum:
            - estimated
            - actual
            - planned
            - problem

````